Bug 507629 - Can't add an IPP printer
Can't add an IPP printer
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: system-config-printer (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
: Reopened
Depends On: 507633
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-23 10:42 EDT by Ian Weller
Modified: 2011-03-29 01:27 EDT (History)
2 users (show)

See Also:
Fixed In Version: 1.1.8-6.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-22 18:06:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ian Weller 2009-06-23 10:42:38 EDT
Description of problem:
When attempting to add an IPP printer, the following traceback is printed to the terminal:
Caught non-fatal exception.  Traceback:
File "/usr/share/system-config-printer/system-config-printer.py", line 4137, in nextNPTab
    encryption=encryption)
RuntimeError: httpConnectionEncrypt failed
Continuing anyway..

Version-Release number of selected component (if applicable):
system-config-printer-1.1.7-4.fc11.x86_64

How reproducible:
Every time
Comment 1 Tim Waugh 2009-06-23 11:04:16 EDT
This message is harmless.

Are you unable to add the printer at all?
Comment 2 Ian Weller 2009-06-23 11:11:24 EDT
Err, I guess I gave the wrong summary. It doesn't go and attempt to fetch drivers at all. Is that standard?
Comment 3 Tim Waugh 2009-06-23 11:23:43 EDT
Can you print?
Comment 4 Ian Weller 2009-06-23 11:38:59 EDT
Not sure, bug 507633 is preventing it from system-config-printer as well.

"Unauthorized request (addPrinter)

You are not authorized to carry out the requested action."
Comment 5 Tim Waugh 2009-06-29 07:53:23 EDT
So can you print now we know the work-around for bug #507633?
Comment 6 Ian Weller 2009-06-29 12:14:29 EDT
Printing is now possible, yes.
Comment 7 Fedora Update System 2009-07-11 13:10:05 EDT
system-config-printer-1.1.8-5.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2009-07-20 05:23:48 EDT
system-config-printer-1.1.8-6.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/system-config-printer-1.1.8-6.fc11
Comment 9 Fedora Update System 2009-07-22 18:06:04 EDT
system-config-printer-1.1.8-6.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Lisa 2011-03-29 01:27:54 EDT
I have tried it and now its working Fine Thanks for the suggestions.
http://www.thetech360.com/

Note You need to log in before you can comment on or make changes to this bug.